## org.apache.xerces.validators.schema.identity
Class XPath

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPath

Direct Known Subclasses:
  Field.XPath, Selector.XPath

public class XPath
extends java.lang.Object

Bare minimum XPath parser.

Version:
  $Id: XPath.java,v 1.10 2001/06/08 14:23:49 sandygao Exp $
Author:
  Andy Clark, IBM

Inner Class Summary
`static class` `XPath.Axis` Axis.
`static class` `XPath.LocationPath` A location path representation for an XPath expression.
`static class` `XPath.NodeTest` Node test.
`static class` `XPath.Step` A location path step comprised of an axis and node test.

Field Summary
`protected java.lang.String` `fExpression` Expression.
`protected XPath.LocationPath[]` `fLocationPaths` Location paths.
`protected StringPool` `fStringPool` String pool.

Constructor Summary
`XPath(java.lang.String xpath, StringPool stringPool, NamespacesScope context)` Constructs an XPath object from the specified expression.

Method Summary
`XPath.LocationPath` `getLocationPath()` Returns a representation of the first location path for this XPath.
`XPath.LocationPath[]` `getLocationPaths()` Returns a representation of all location paths for this XPath.
`static void` `main(java.lang.String[] argv)` Main program entry.
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fExpression

    protected java.lang.String fExpression

  Expression.

### fStringPool

    protected StringPool fStringPool

  String pool.

### fLocationPaths

    protected XPath.LocationPath[] fLocationPaths

  Location paths.

Constructor Detail

### XPath

    public XPath(java.lang.String xpath,
                 StringPool stringPool,
                 NamespacesScope context)
          throws XPathException

  Constructs an XPath object from the specified expression.

Method Detail

### getLocationPath

    public XPath.LocationPath getLocationPath()

  Returns a representation of the first location path for this XPath.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    toString in class java.lang.Object

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Main program entry.

### getLocationPaths

    public XPath.LocationPath[] getLocationPaths()

  Returns a representation of all location paths for this XPath. XPath = locationPath ( '|' locationPath)*

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.